<!--
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
-->

- Getting started

  - [Introduction](./zh-cn/README.md)
  - [Quick start](./zh-cn/getting-started.md)

- General

  - [Architecture](./zh-cn/architecture-design.md)

  - [Benchmark](./zh-cn/benchmark.md)

  - Installation

     - [How to build](./zh-cn/how-to-build.md)
     - [Install Dependencies](./zh-cn/install-dependencies.md)

  - [HTTPS](./zh-cn/https.md)

  - [Router](./zh-cn/router-radixtree.md)

  - Plugins

    - [Develop Plugins](./zh-cn/plugin-develop.md)
    - [Hot Reload](./zh-cn/plugins.md)

  - Proxy Modes

    - [GRPC Proxy](./zh-cn/grpc-proxy.md)
    - [Stream Proxy](./zh-cn/stream-proxy.md)

- Plugins

  - Authentication

    - [Key Auth](./zh-cn/plugins/key-auth.md)
    - [Basic Auth](./zh-cn/plugins/basic-auth.md)
    - [JWT Auth](./zh-cn/plugins/jwt-auth.md)
    - [Opend ID Connect](./zh-cn/plugins/oauth.md)

  - General

    - [Redirect](./zh-cn/plugins/redirect.md)
    - [Serverless](./zh-cn/plugins/serverless.md)
    - [Batch Request](./zh-cn/plugins/batch-requests.md)
    - [Fault Injection](./zh-cn/plugins/fault-injection.md)
    - [MQTT Proxy](./zh-cn/plugins/mqtt-proxy.md)
    - [Proxy Cache](./zh-cn/plugins/proxy-cache.md)
    - [Proxy Mirror](./zh-cn/plugins/proxy-mirror.md)
    - [Echo](./zh-cn/plugins/echo.md)

  - Transformations

    - [Response Rewrite](./zh-cn/plugins/response-rewrite.md)
    - [Proxy Rewrite](./zh-cn/plugins/proxy-rewrite.md)
    - [GRPC Transcoding](./zh-cn/plugins/grpc-transcode.md)

  - Security

    -  [Consumer Restriction](./zh-cn/plugins/consumer-restriction.md)
    -  [Limit Connection](./zh-cn/plugins/limit-conn.md)
    -  [Limit Count](./zh-cn/plugins/limit-count.md)
    -  [Limit Request](./zh-cn/plugins/limit-req.md)
    -  [CORS](./zh-cn/plugins/cors.md)
    -  [IP Restriction](./zh-cn/plugins/ip-restriction.md)
    -  [Keycloak Authorization](./zh-cn/plugins/authz-keycloak.md)
    -  [RBAC Wolf](./zh-cn/plugins/wolf-rbac.md)

  - Monitoring

    - [Prometheus](./zh-cn/plugins/prometheus.md)
    - [SKywalking](./zh-cn/plugins/skywalking.md)
    - [Zipkin](./zh-cn/plugins/zipkin.md)

  - Loggers

    - [HTTP Logger](./zh-cn/plugins/http-logger.md)
    - [Kafka Logger](./zh-cn/plugins/kafka-logger.md)
    - [Syslog](./zh-cn/plugins/syslog.md)
    - [TCP Logger](./zh-cn/plugins/tcp-logger.md)
    - [UDP Logger](./zh-cn/plugins/udp-logger.md)

- Admin API

  - [Admin API](./zh-cn/admin-api.md)
